Retrieves an affiliation cashback.
Returns this specific cashback details.
curl --request GET \
--url https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/rewards/affiliation/cashbacks/{cashback_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/rewards/affiliation/cashbacks/{cashback_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/rewards/affiliation/cashbacks/{cashback_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount": -23.68,
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"cancellation_date": "2019-01-23T12:00:00+00:00",
"cancellation_reason": "Transaction has been deleted",
"created_at": "2019-01-31T15:16:15.523309+00:00",
"pending_validation_date": "2018-11-28T16:52:47.768060+00:00",
"status": "PENDING_VALIDATION",
"transfer_date": "2019-01-23T12:00:00+00:00",
"user_offer": {
"reference": "MYBRAND-20180220-001",
"type": "CASHBACK",
"application_channel": "ONLINE",
"application_url": "https://www.mybrand.fr",
"brand": {
"description": "<string>",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"legal_terms": "<string>",
"logo": {
"content_type": "<string>",
"created_at": "2019-01-31T15:16:15.523309+00:00",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"links": {
"download": "<string>",
"preview": "<string>"
},
"name": "<string>",
"owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>"
},
"name": "<string>",
"universes": [
{
"children": "<array>",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"name": "<string>",
"parent_id": "5c5e6d04-9dfc-46b8-9432-7c977f1dca23"
}
]
},
"commissions": [
{
"name": "<string>",
"type": "CASHBACK",
"reward_fixed_amount": 123,
"reward_rate": 50
}
],
"deep_link_url": "<unknown>",
"description": "<string>",
"end_date": "2018-12-21T00:00:00+00:00",
"highlight_level": "HIGH",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"is_consumed": true,
"is_favorite": true,
"legal_terms": "<string>",
"max_fixed_reward_amount": 123,
"max_reward_rate": 50,
"name": "<string>",
"picture": {
"content_type": "<string>",
"created_at": "2019-01-31T15:16:15.523309+00:00",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"links": {
"download": "<string>",
"preview": "<string>"
},
"name": "<string>",
"owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>"
},
"publication_date": "2019-01-01T00:00:00+00:00",
"start_date": "2018-12-21T00:00:00+00:00",
"status": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique ID of the cashback reward.
The id you used to create the given consumer
Response
OK
Amount of the transaction
-23.68
Unique ID of the object.
"e2c32b4b-de61-459b-accf-a75f76247946"
Date of cancellation by the merchant of a reward
"2019-01-23T12:00:00+00:00"
Text message explaining the reason of cancellation
"Transaction has been deleted"
Object creation datetime
"2019-01-31T15:16:15.523309+00:00"
Date of the cashback pending validation status
"2018-11-28T16:52:47.768060+00:00"
Status of the affiliation cashback:
- PENDING_VALIDATION: The reward is pending the payment from the merchant.
- PAID_OUT: The reward has been paid to the program.
- CANCELLED : Cancelled by the merchant or by a technical action.
"PENDING_VALIDATION"
The date where the reward is actually paid to the consumer
"2019-01-23T12:00:00+00:00"
Show child attributes
Show child attributes
Was this page helpful?
